Page MenuHomePhabricator

WikiPageTest::testDoDeleteUpdates fails on PostgreSQL
Closed, ResolvedPublic

Description

+++ This bug was initially created as a clone of T38759 +++

WikiPageTest::testDoDeleteUpdates re-introduced gerrit change 7967, fails:

$ sh -x /usr/home/saper/bin/runphpunit.sh /usr/home/saper/public_html/pg/w/tests/phpunit/includes/WikiPageTest.php
+ php -c /usr/home/saper/php.ini tests/phpunit/phpunit.php --configuration tests/phpunit/suite.xml --exclude-group Broken,Stub,Dump,ParserFuzz --log-junit /usr/home/saper/tests/log/postgres-log.xml /usr/home/saper/public_html/pg/w/tests/phpunit/includes/WikiPageTest.php
PHPUnit 3.6.10 by Sebastian Bergmann.

Configuration read from /usr/home/saper/public_html/pg/w/tests/phpunit/suite.xml

..FF................................................

Time: 4 seconds, Memory: 48.75Mb

There were 2 failures:

1) WikiPageTest::testDoDeleteArticle
pagelinks should contain no more links from the page
Failed asserting that 1 matches expected 0.

/usr/home/saper/public_html/pg/w/tests/phpunit/includes/WikiPageTest.php:144
/usr/home/saper/public_html/pg/w/tests/phpunit/MediaWikiTestCase.php:75
/usr/home/saper/public_html/pg/w/tests/phpunit/MediaWikiPHPUnitCommand.php:45
/usr/home/saper/public_html/pg/w/tests/phpunit/phpunit.php:103

2) WikiPageTest::testDoDeleteUpdates
pagelinks should contain no more links from the page
Failed asserting that 1 matches expected 0.

/usr/home/saper/public_html/pg/w/tests/phpunit/includes/WikiPageTest.php:159
/usr/home/saper/public_html/pg/w/tests/phpunit/MediaWikiTestCase.php:75
/usr/home/saper/public_html/pg/w/tests/phpunit/MediaWikiPHPUnitCommand.php:45
/usr/home/saper/public_html/pg/w/tests/phpunit/phpunit.php:103

FAILURES!
Tests: 52, Assertions: 91, Failures: 2.

See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=57724

Details

Reference
bz37600

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:24 AM
bzimport set Reference to bz37600.
bzimport added a subscriber: Unknown Object (MLST).
saper created this task.Jun 14 2012, 5:32 PM
saper updated the task description. (Show Details)Nov 27 2014, 12:15 PM
saper set Security to None.
hashar removed a subscriber: hashar.Dec 2 2014, 11:41 AM
Krinkle updated the task description. (Show Details)Dec 21 2014, 7:45 AM
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.

Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.Jul 7 2017, 5:13 AM
Legoktm closed this task as Resolved.May 29 2018, 6:43 AM
Legoktm added a subscriber: Legoktm.

This test no longer fails on PostgreSQL, it must have been fixed at some point.